Package org.eclipse.emf.cdo.eresource

# Interface CDOBinaryResource

All Superinterfaces:
  `CDOFileResource<InputStream>`, `CDOObject`, `CDOResourceLeaf`, `CDOResourceNode`, `CDOWithID`, `EObject`, `Notifier`

All Known Implementing Classes:
  `CDOBinaryResourceImpl`

public interface CDOBinaryResource extends CDOFileResource<InputStream>
A representation of the model object 'CDO Binary Resource'.

Since:
  4.1
See Also:
  - `EresourcePackage.getCDOBinaryResource()`
Generated
Model
  superTypes="org.eclipse.emf.cdo.eresource.CDOFileResource<org.eclipse.emf.cdo.etypes.InputStream>"
No Implement
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Contents`
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

`ROOT_NAME, ROOT_PATH`

## Method Summary

Modifier and Type
Method
Description
`CDOBlob`
`getContents()`
Returns the value of the 'Contents' attribute.
`void`
`setContents(CDOBlob value)`
Sets the value of the '`Contents`' attribute.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

`delete, getBasename, getExtension, getFolder, getName, getPath, getURI, isRoot, setBasename, setExtension, setFolder, setName, setPath, trimExtension`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getContents

CDOBlob getContents()
Returns the value of the 'Contents' attribute.

If the meaning of the 'Contents' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getContents` in interface `CDOFileResource<InputStream>`
Returns:
  the value of the 'Contents' attribute.
See Also:
  - `setContents(CDOBlob)`
  - `EresourcePackage.getCDOBinaryResource_Contents()`
Generated
Model
  dataType="org.eclipse.emf.cdo.etypes.Blob" required="true" transient="true" annotation="http://www.eclipse.org/emf/CDO persistent='true'"

### setContents

void setContents(CDOBlob value)
Sets the value of the '`Contents`' attribute.

Parameters:
  `value` - the new value of the 'Contents' attribute.
See Also:
  - `getContents()`
Generated